<template>
  <b-col lg="5" class="pl-0 pr-2">
    <b-container fluid class="light-bg h-100 pl-0 pr-0">
      <b-nav tabs class="">
        <b-nav-item v-for="option in options" :key="option.value" :active="option.isSelected" @click="handleClick(option.value)">
          {{option.text}}
        </b-nav-item>
      </b-nav>
      <b-container fluid class="pr-4 mt-lg-5">
        <b-row class="h-100">
          <b-col sm="6" lg="5" class="align-self-center text-center pl-0">
            <p class="temp"><span class="measures">{{temp}}</span>°C</p>
          </b-col>
          <b-col sm="6" lg="7" class="align-self-center text-left smaller pl-3 mt-2">
            <div>
              <p><font-awesome-icon icon="tachometer-alt"/>&ensp;Pressure <span class="measures float-right">{{press}} hP</span></p>
              <p><font-awesome-icon icon="tint"/>&ensp;Humidity <span class="measures  float-right">{{hygro}} %</span></p>
              <p><font-awesome-icon icon="sun"/>&ensp;Illuminance <span class="measures float-right">{{lum}} Lux</span></p>
              <p><font-awesome-icon icon="wind"/>&ensp;Wind mean <span class="measures float-right">{{wind_mean}} Kts</span></p>
              <p><font-awesome-icon icon="wind"/>&ensp;Wind max <span class="measures float-right">{{wind_max}} Kts</span></p>
              <p><font-awesome-icon icon="wind"/>&ensp;Wind min <span class="measures float-right">{{wind_min}} Kts</span></p>
              <p><font-awesome-icon icon="compass"/>&ensp;Wind direction <span class="measures float-right">{{wind_dir}} °</span></p>
            </div>
          </b-col>
        </b-row>
      </b-container>
    </b-container>
  </b-col>
</template>

<script>

import { library } from '@fortawesome/fontawesome-svg-core'
import { faCloudRain, faTachometerAlt, faTint, faSun, faWind, faCompass } from '@fortawesome/free-solid-svg-icons'

export default {
  name: 'LiveAllMeasures',

  data: function () {
    return {
      options: this.$store.state.allSondes
    }
  },

  computed: {
    temp () {
      var value = Math.round(this.$store.state.liveAllMeasures.temp)
      if (!isNaN(value)) return value; else return null
    },
    hygro () {
      var value = Math.round(this.$store.state.liveAllMeasures.hygro)
      if (!isNaN(value)) return value; else return null
    },
    press () {
      var value = Math.round(this.$store.state.liveAllMeasures.press)
      if (!isNaN(value)) return value; else return null
    },
    lum () {
      var value = Math.round(this.$store.state.liveAllMeasures.lum)
      if (!isNaN(value)) return value; else return null
    },
    wind_mean () {
      var value = Math.round(this.$store.state.liveAllMeasures.wind_mean)
      if (!isNaN(value)) return value; else return null
    },
    wind_max () {
      var value = Math.round(this.$store.state.liveAllMeasures.wind_max)
      if (!isNaN(value)) return value; else return null
    },
    wind_min () {
      var value = Math.round(this.$store.state.liveAllMeasures.wind_min)
      if (!isNaN(value)) return value; else return null
    },
    wind_dir () {
      var value = Math.round(this.$store.state.liveAllMeasures.wind_dir)
      if (!isNaN(value)) return value; else return null
    }
  },

  mounted () {
    this.$store.dispatch('getLiveAllMeasures', this.options.find(e => e.isSelected).value)
  },

  methods: {

    handleClick (e) {
      this.$store.dispatch('getLiveAllMeasures', e)
    }

  }

}

library.add(faCloudRain, faTachometerAlt, faTint, faSun, faWind, faCompass)

</script>

<style scoped>
.measures{
  font-weight: bold;
  text-align: right;
}
.temp{
  font-size: 300%;
}
.smaller{
  font-size: 100%;
}
</style>
